Name:           sudokuki
Version:        1.2.2
Release:        %mkrel 1
Summary:        Essential Sudoku game
Group:          Games/Puzzles
License:        GPLv3+
URL:            http://sudokuki.sourceforge.net/
Source0:        https://downloads.sourceforge.net/project/sudokuki/sudokuki/1.2/%{name}-%{version}.tar.xz
Requires:	java
BuildRequires:  java-1.7.0-sun-src
BuildRequires:  libtool

%description
Sudokuki is a free graphical SUDOKU game developed in Java.
You can use it to solve even the most difficult grids for you,
and also to generate a sudoku, edit it, play it or print it.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --bindir=%{_gamesbindir} \
               --datadir=%{_javadir}
%make

%install
rm -rf %buildroot
%makeinstall_std

# Create an unversioned symbolic link according to Mageia's java policy
pushd %{buildroot}%{_javadir}/%{name}/
ln -sf %{name}-%{version}.jar %{name}.jar
popd

# Create the menu entry
cat > %{name}.desktop << EOF
[Desktop Entry]
Type=Application
Terminal=false
Name=Sudokuki
Comment=Essential Sudoku game
Exec=/usr/games/%{name}
Icon=%{name}
Categories=Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF
install -D -m755 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# Install the icon
install -D -m644 src/resources/files/net/jankenpoi/sudokuki/resources/images/sudokuki_icon.png \
    %{buildroot}%{_datadir}/pixmaps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_gamesbindir}/%{name}
%{_javadir}/%{name}/%{name}*.jar


%changelog
* Mon May 26 2014 bb <bb> 1.2.2-1pclos2014
- import into pclos
